USB_INTERFACE_CLAI(9)

NAME
usb_interface_claimed - returns true iff an interface is claimed

SYNOPSIS

int usb_interface_claimed (struct usb_interface * iface);

ARGUMENTS

iface
    the interface being checked

DESCRIPTION

Returns true (nonzero) iff the interface is claimed, else false (zero). Callers must own the driver model's usb bus readlock. So driver probe entries don't need extra locking, but other call contexts may need to explicitly claim that lock.